EndpointsReporters
Request a reporter upload
POST
/v2/reporters/uploadReturns a presigned URL for uploading a reporter WebAssembly module. Matching content and metadata reuse the existing immutable version.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Request Body
application/json
Reporter module upload metadata.
curl -X POST "https://example.com/v2/reporters/upload" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "content_hash": "string", "size_bytes": 1, "attributes": { "purpose": "string", "world": "softmax:[email protected]", "outputs": [ { "name": "string", "type": "render-html", "description": "string" } ] } }'{ "upload_url": "string", "existing_version": { "id": "string", "reporter_id": "string", "name": "string", "version": 0, "content_hash": "string", "size_bytes": 0, "world": "string", "attributes": {}, "granted_limits": {}, "player_id": "string", "created_at": "2019-08-24T14:15:22Z" }}